2018 METC Exhibitor Information

  

Exhibitor and Sponsor Registration is now OPEN!

 View the Exhibitor & Sponsor Information Packet for more information!

 

As a 2018 METC Conference Exhibitor, your organization will reach a large group of educational leaders, teachers, principals, technology coordinators, and the list goes on!

 

Exhibitor Registration is online only. For online exhibitor registration, you will need to have your first, second, and third booth location choice.  When registering exhibitors, if you are NOT the person who will physically be at the METC Conference, you will be prompted to provide the names and contact information of your colleagues who will be in attendance, as well as your information.

Exhibit Spaces will be assigned in the order in which contracts and payments are received. EducationPlus reserves the right to make any adjustments necessary throughout planning.

 

Standard Single Booth - $800 (10x10, 100 Square Feet)

Standard Double Booth - $1,350 (10x20, 200 Square Feet)

 

 Included with each exhibit booth is the following:

  • Each 10'x10' & 10'x20' booth will be set with 8' high back wall drapery and 3' high side rail draperies
  • One 7" x 44" Exhibitor ID sign
  • One 8' draped table and two side chairs
  • Security guard services
  • 10 amp electrical outlet. Additional electrical service is available for purchase
  • WiFi access
  • A listing in the exhibitor directory on the conference website and conference mobile app
  • Breakfast and lunch both days, two people each day

Hard wire Internet connectivity is available for an additional cost through the St. Charles Convention Center.

Carpet is NOT provided within your rented exhibit space. To enhance the appearance of your booth, rental carpet is available through Paramount Convention Services. 

Paramount Convention Services is the General Contractor for the METC Conference.  Visit the Paramount Website to order any furnishings, power, cleaning, etc, you may need for your booth.

 

Presenting 

There are two ways to present as an Exhibitor at the 2018 METC Conference.  In order for an organization to present a session at METC18 that organization must be registered as an Exhibitor.

Visit the Presenter information page for more information.

1. Exhibitor Plus Educator Session

Presented in a session room, an Exhibitor Plus Educator Session must be presented primarily by a current educator.  The session information must be submitted through the Call for Proposals submission page and received by September 6, 2017.  These sessions are first come, first serve.

The cost to present an Exhibitor Plus Educator Session is $200 (in addition to the booth fee).

2. Exhibitor Demo Session

Presented in a session room, an Exhibitor Demo Session may be presented by any individual associated with an Exhibiting Company.  During the Exhibitor Registration process, please indicate that your company would like  to present a Demo Session.  Following this, your contact will be sent a link to submit the exhibitor demo information.

The cost to present an Exhibitor Demo Session is $300 (in addition to the booth fee).

NOTE: Booth payment or written arrangements, approved by EducationPlus, must be made by December 9, 2016 in order for booth space to be held. Space is limited thereafter.

 

Additional Items Available for Purchase

    • Exhibitor Demo Session: $300

    Sign up to have an Exhibitor Demo Session – to be considered you must submit a proposal for this session prior to Sept. 6, 2017.  The sessions are then accepted or rejected.  Should your session be rejected we will refund this additional fee.

    • Exhibitor Plus Educator Session: $200

    Sign up to have an Exhibitor Plus Educator Session – to be considered you must submit a proposal for this session prior to Sept. 6, 2017.  The sessions are then accepted or rejected.  Should your session be rejected we will refund this additional fee.

    • Additional Representative: $50.00 each

    Every booth (no matter the size) is allotted 2 Company Representatives.  This includes Breakfast and Lunch for these two individuals.  If you would like to have more than 2 company representatives in your booth there is an additional $50.00 fee per additional individual.

    • Conference Game Spot: $50.00

    Take this opportunity to interact with even more METC attendees!  By signing up to participate in in this interactive, digital game, your organization will be included in the tasks of the METC Conference Game which will drive even more participants to your booth!

    • Electronic Transfer of Attendee Postal Addresses: $100

    Connect with the METC18 attendees after the conference is over!  Following the conference, we will send you the postal addresses of those METC conference attendees who have opted-in to additional information from our exhibitors.

    • Conference Bag Item: $300

    Provide all METC Conference attendees information about your organization by choosing to have an item placed in every conference bag. 

    • Lead Retrieval (equipment rental): $200

    Collect information and leads during the conference by using our digital Lead Retrieval system.  This will provide you immediate, digital results, and save you time after the conference!


 

Booth Set-up and Dismantle Info

Exhibitor move-in/set up will occur at the St. Charles Convention Center on Monday, February 12, 2018 from 2:00 until 6:00 pm.

Move-out/dismantling will occur on Wednesday, February 14, 2018 from 1:30pm until 4:00pm. Dismantling may begin after 1:30 on Wednesday, February 14, 2018  

Exhibit Hours

METC will be held at the St. Charles Convention Center, One Convention Center Plaza, St. Charles, MO 63303. 
The exhibit area will be open:

Tuesday, February 13, 9:00 am - 6:00 pm (*includes METC Conference Reception)
Wednesday, February 14, 9:00 am - 2:00 pm 

Selling from the Floor

Exhibitors may sell items during the conference. Neither EducationPlus not the St. Charles Convention Center are responsible for any losses or liabilities that occur due to the activity.

Lead Retrieval

Download attendee information after the show from those who visit your booth and swipe their name badges. Elliott Data will be the provider of the hardware and will facilitate the download at the end of the conference. Fee is $200 for a scanner in your booth.

Decorator Services

Paramount Convention Services is the official decorator for the exhibit area. All contracted exhibitors will receive a packet that includes information on shipping, storage and prices for miscellaneous items (e.g. phone lines, additional table or chair rental, etc.). For more information call 800-883-6578 or the Paramount website.


Cancellation Policy

Cancellation of any portion of the exhibit contract must be made in writing to EducationPlus and will be effective on the date of receipt. If the cancellation is received by December 9, 2016, the refund amount will be 75%. There will be NO refunds after January 20, 2017.

More information on all Sponsorship Levels.

View the Exhibitor & Sponsor Information Packet for more information!

 


 

Questions on Exhibitor Registration? Contact McKinna Allen, Special Programs Coordinator at mallen@edplus.org or at 314-692-1250.